summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-04-28 22:16:25 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-05-01 10:02:35 +0200
commit318a792bdc040f949e14bcfe80f72bd5935f66ac (patch)
tree998a291e87d352297c5cf62b3f7c1b5258dbbeb1 /eclass
parentprofiles: Plasma profile: Restrict gpgme[cxx,qt5] mask to current stable (diff)
downloadgentoo-318a792bdc040f949e14bcfe80f72bd5935f66ac.tar.gz
gentoo-318a792bdc040f949e14bcfe80f72bd5935f66ac.tar.bz2
gentoo-318a792bdc040f949e14bcfe80f72bd5935f66ac.zip
kde5-functions.eclass: Fix minimum version requirements
- Plasma 5.8 stable branch should not require Qt-5.7.1 - Plasma 5.10 already requires KF-5.34
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde5-functions.eclass7
1 files changed, 5 insertions, 2 deletions
diff --git a/eclass/kde5-functions.eclass b/eclass/kde5-functions.eclass
index ba4abbd4490..574716299ec 100644
--- a/eclass/kde5-functions.eclass
+++ b/eclass/kde5-functions.eclass
@@ -35,10 +35,13 @@ case ${CATEGORY} in
[[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
;;
kde-plasma)
- if ! [[ $(get_version_component_range 2) -le 8 && $(get_version_component_range 3) -lt 50 ]]; then
+ if [[ $(get_version_component_range 2) -ge 9 ]]; then
: ${QT_MINIMAL:=5.7.1}
fi
- if [[ ${KDE_BUILD_TYPE} = live ]]; then
+ if ! [[ $(get_version_component_range 2) -le 9 && $(get_version_component_range 3) -lt 50 ]]; then
+ : ${FRAMEWORKS_MINIMAL:=5.34.0}
+ fi
+ if [[ ${KDE_BUILD_TYPE} = live && $(get_version_component_range 2) -ne 8 ]]; then
: ${FRAMEWORKS_MINIMAL:=9999}
: ${QT_MINIMAL:=5.7.1}
fi